=== debian/changelog ===
consul (1.5.2+dfsg2-14) unstable; urgency=medium

  * Disabled "TestKVSEndpoint_ListKeys".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Jan 2020 08:52:20 +1100

consul (1.5.2+dfsg2-13) unstable; urgency=medium

  * Disabled "TestCatalogConnectServiceNodes_Filter"
  * Un-vendored "golang-github-hashicorp-go-plugin-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Jan 2020 06:14:06 +1100

consul (1.5.2+dfsg1-12) unstable; urgency=medium

  * Disabled "TestAgent_RegisterCheck_Scripts" due to timeout on armhf.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 28 Dec 2019 11:38:34 +1100

consul (1.5.2+dfsg1-11) unstable; urgency=medium

  * Disabled few more randomly failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 28 Dec 2019 08:05:37 +1100

consul (1.5.2+dfsg1-10) unstable; urgency=medium

  * Disabled more unreliable tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Dec 2019 23:07:59 +1100

consul (1.5.2+dfsg1-9) unstable; urgency=medium

  * rules: ignore test failures on [mipsel,mips64el].
  * Disabled more spontaneously failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Dec 2019 18:48:08 +1100

consul (1.5.2+dfsg1-8) unstable; urgency=medium

  * Disabled more spontaneously failing tests.
  * Increased test timeout to 8m.
  * Set HOME to "debian/tmp".
  * DH to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Dec 2019 16:02:14 +1100

consul (1.5.2+dfsg1-7) unstable; urgency=medium

  * Minor example update
  * Disabled more spontaneously failing tests.
  * Removed unused "golang-github-hashicorp-go-reap-dev" from Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Dec 2019 11:13:10 +1100

consul (1.5.2+dfsg1-6) unstable; urgency=medium

  * Disabled "TestLockCommand_ChildExitCode" after spurious failure on
    armel.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Dec 2019 10:53:18 +1100

consul (1.5.2+dfsg1-5) unstable; urgency=medium

  * Disabled more spontaneously failing tests.
  * Increased test timeout to 7m.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Dec 2019 02:37:50 +1100
