=== debian/control ===
Source: consul
Section: devel
Priority: optional
Standards-Version: 4.4.1
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper-compat (= 12) ,bash-completion ,dh-golang (>= 1.42~) ,golang-any (>= 2:1.13~)
    ,golang-github-asaskevich-govalidator-dev
    ,golang-github-armon-circbuf-dev
    ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
    ,golang-github-armon-go-radix-dev
    ,golang-github-azure-go-autorest-dev (>= 10.15.5~)
#   ,golang-github-beorn7-perks-dev
    ,golang-github-bgentry-speakeasy-dev
    ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~)
    ,golang-github-circonus-labs-circonusllhist-dev
    ,golang-github-datadog-datadog-go-dev
    ,golang-github-davecgh-go-spew-dev
    ,golang-github-denverdino-aliyungo-dev
    ,golang-github-digitalocean-godo-dev
    ,golang-github-docker-go-connections-dev
    ,golang-github-elazarl-go-bindata-assetfs-dev (>= 0.0~git20151224~)
    ,golang-github-ghodss-yaml-dev
    ,golang-github-gogo-googleapis-dev
    ,golang-github-gogo-protobuf-dev (>= 1.2.1~)
    ,golang-github-golang-snappy-dev
    ,golang-github-googleapis-gnostic-dev
    ,golang-github-google-gofuzz-dev
    ,golang-github-gophercloud-gophercloud-dev
    ,golang-github-gregjones-httpcache-dev
    ,golang-github-hashicorp-go-bexpr-dev
    ,golang-github-hashicorp-go-checkpoint-dev
    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
    ,golang-github-hashicorp-go-discover-dev
    ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
    ,golang-github-hashicorp-go-immutable-radix-dev (>= 1.1.0~)
    ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
    ,golang-github-hashicorp-go-memdb-dev (>= 0.0~git20180224~)
    ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
    ,golang-github-hashicorp-go-multierror-dev
    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
    ,golang-github-hashicorp-go-raftchunking-dev
    ,golang-github-hashicorp-go-retryablehttp-dev
    ,golang-github-hashicorp-go-rootcerts-dev
    ,golang-github-hashicorp-go-sockaddr-dev
    ,golang-github-hashicorp-go-syslog-dev
    ,golang-github-hashicorp-go-uuid-dev
    ,golang-github-hashicorp-go-version-dev
    ,golang-github-hashicorp-hcl-dev
    ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
    ,golang-github-hashicorp-logutils-dev
    ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
    ,golang-github-hashicorp-net-rpc-msgpackrpc-dev
    ,golang-github-hashicorp-raft-boltdb-dev
    ,golang-github-hashicorp-raft-dev (>= 1.1.1~)
    ,golang-github-hashicorp-scada-client-dev
    ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
    ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
    ,golang-github-inconshreveable-muxado-dev
    ,golang-github-imdario-mergo-dev
    ,golang-github-jefferai-jsonx-dev
    ,golang-github-json-iterator-go-dev
    ,golang-github-kr-text-dev
    ,golang-github-mattn-go-isatty-dev
    ,golang-github-miekg-dns-dev
    ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
    ,golang-github-mitchellh-go-testing-interface-dev
    ,golang-github-mitchellh-copystructure-dev
    ,golang-github-mitchellh-hashstructure-dev
    ,golang-github-mitchellh-mapstructure-dev
    ,golang-github-mitchellh-reflectwalk-dev
    ,golang-github-nytimes-gziphandler-dev
    ,golang-github-packethost-packngo-dev
    ,golang-github-pascaldekloe-goe-dev
    ,golang-github-peterbourgon-diskv-dev
    ,golang-github-pmezard-go-difflib-dev
    ,golang-github-ryanuber-columnize-dev
    ,golang-github-ryanuber-go-glob-dev
    ,golang-github-shirou-gopsutil-dev
    ,golang-github-spf13-pflag-dev
    ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
    ,golang-gopkg-inf.v0-dev
    ,golang-gopkg-square-go-jose.v2-dev
    ,mockery
# tests:
    ,golang-github-sap-go-hdb-dev
Homepage: https://github.com/hashicorp/consul
Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
Vcs-Git: https://salsa.debian.org/go-team/packages/consul.git
XS-Go-Import-Path: github.com/hashicorp/consul
Testsuite: autopkgtest-pkg-go

Package: golang-github-hashicorp-consul-dev
Architecture: all
Depends: ${misc:Depends}
    ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
    ,golang-github-armon-go-radix-dev
    ,golang-github-hashicorp-go-bexpr-dev
    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
    ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
    ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
    ,golang-github-hashicorp-go-memdb-dev
    ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
    ,golang-github-hashicorp-go-rootcerts-dev
    ,golang-github-hashicorp-go-uuid-dev
    ,golang-github-hashicorp-hcl-dev
    ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
    ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
    ,golang-github-hashicorp-raft-boltdb-dev
    ,golang-github-hashicorp-raft-dev (>= 1.1.1~)
    ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
    ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
    ,golang-github-inconshreveable-muxado-dev
    ,golang-github-miekg-dns-dev
    ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
    ,golang-github-mitchellh-copystructure-dev
    ,golang-github-pascaldekloe-goe-dev
    ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
Description: tool for service discovery, monitoring and configuration (source)
 Consul is a tool for service discovery and configuration. Consul is
 distributed, highly available, and extremely scalable.
 .
 Consul provides several key features:
 .
  - Service Discovery - Consul makes it simple for services to register
    themselves and to discover other services via a DNS or HTTP interface.
    External services such as SaaS providers can be registered as well.
 .
  - Health Checking - Health Checking enables Consul to quickly alert operators
    about any issues in a cluster. The integration with service discovery
    prevents routing traffic to unhealthy hosts and enables service level
    circuit breakers.
 .
  - Key/Value Storage - A flexible key/value store enables storing dynamic
    configuration, feature flagging, coordination, leader election and more.
    The simple HTTP API makes it easy to use anywhere.
 .
  - Multi-Datacenter - Consul is built to be datacenter aware, and can support
    any number of regions without complex configuration.
 .
 Consul runs on Linux, Mac OS X, and Windows. It is recommended to run the
 Consul servers only on Linux, however.
 .
 This package contains the source.

Package: consul
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
    ,adduser
    ,pipexec
    ,procps
Description: tool for service discovery, monitoring and configuration
 Consul is a tool for service discovery and configuration. Consul is
 distributed, highly available, and extremely scalable.
 .
 Consul provides several key features:
 .
  - Service Discovery - Consul makes it simple for services to register
    themselves and to discover other services via a DNS or HTTP interface.
    External services such as SaaS providers can be registered as well.
 .
  - Health Checking - Health Checking enables Consul to quickly alert operators
    about any issues in a cluster. The integration with service discovery
    prevents routing traffic to unhealthy hosts and enables service level
    circuit breakers.
 .
  - Key/Value Storage - A flexible key/value store enables storing dynamic
    configuration, feature flagging, coordination, leader election and more.
    The simple HTTP API makes it easy to use anywhere.
 .
  - Multi-Datacenter - Consul is built to be datacenter aware, and can support
    any number of regions without complex configuration.
 .
 Consul runs on Linux, Mac OS X, and Windows. It is recommended to run the
 Consul servers only on Linux, however.
