=== debian/changelog ===
consul (1.7.0+dfsg1-2) unstable; urgency=medium

  * Excluded few unreliable tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 24 Feb 2020 11:21:58 +1100

consul (1.7.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    + fixed CVE-2020-7219
    + fixed CVE-2020-7955
  * Build-Depends:
    + golang-github-pierrec-lz4-dev
    = golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~)
    = golang-github-miekg-dns-dev (>= 1.1.26~)
  * Use bundled "github.com/aws/aws-sdk-go".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 20 Feb 2020 09:22:11 +1100
