=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
     ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-raftchunking-dev
     ,golang-github-hashicorp-go-retryablehttp-dev
-    ,golang-github-hashicorp-go-rootcerts-dev
+    ,golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~)
     ,golang-github-hashicorp-go-sockaddr-dev
     ,golang-github-hashicorp-go-syslog-dev
     ,golang-github-hashicorp-go-uuid-dev
@@ -55,7 +55,7 @@
     ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
     ,golang-github-hashicorp-net-rpc-msgpackrpc-dev
     ,golang-github-hashicorp-raft-boltdb-dev
-    ,golang-github-hashicorp-raft-dev (>= 1.1.1~)
+    ,golang-github-hashicorp-raft-dev (>= 1.1.2~)
     ,golang-github-hashicorp-scada-client-dev
     ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
     ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
@@ -65,7 +65,7 @@
     ,golang-github-json-iterator-go-dev
     ,golang-github-kr-text-dev
     ,golang-github-mattn-go-isatty-dev
-    ,golang-github-miekg-dns-dev
+    ,golang-github-miekg-dns-dev (>= 1.1.26~)
     ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
     ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-copystructure-dev
@@ -76,6 +76,7 @@
     ,golang-github-packethost-packngo-dev
     ,golang-github-pascaldekloe-goe-dev
     ,golang-github-peterbourgon-diskv-dev
+    ,golang-github-pierrec-lz4-dev
     ,golang-github-pmezard-go-difflib-dev
     ,golang-github-ryanuber-columnize-dev
     ,golang-github-ryanuber-go-glob-dev
@@ -104,18 +105,18 @@
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
-    ,golang-github-hashicorp-go-rootcerts-dev
+    ,golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~)
     ,golang-github-hashicorp-go-uuid-dev
     ,golang-github-hashicorp-hcl-dev
     ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
     ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
     ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-raft-boltdb-dev
-    ,golang-github-hashicorp-raft-dev (>= 1.1.1~)
+    ,golang-github-hashicorp-raft-dev (>= 1.1.2~)
     ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
     ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
     ,golang-github-inconshreveable-muxado-dev
-    ,golang-github-miekg-dns-dev
+    ,golang-github-miekg-dns-dev (>= 1.1.26~)
     ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-pascaldekloe-goe-dev
