=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 ## Note that "--max-parallel=2" translates to "-p 2" which is not the same as "-parallel 2".
 override_dh_auto_test:
 	$(MINUS)PATH="$(CURDIR)/_build/bin:$${PATH}" \
-        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul command/tls" \
+        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul agent/proxycfg command/tls" \
         dh_auto_test -v --max-parallel=4 -- -short -failfast -timeout 8m
 
 override_dh_install:
