## consul 1.7.2+dfsg1

=== debian/changelog ===
consul (1.7.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 10 Apr 2020 11:37:13 +1000

consul (1.7.1+dfsg1-2) unstable; urgency=medium

  * Disabled failing "TestTakeReturn" (Closes: #954712).
  * Disabled few more spontaneously failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Mar 2020 20:56:59 +1100

consul (1.7.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Disabled broken/unhelpful "autopkgtest-pkg-go" testsuite.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Feb 2020 16:41:40 +1100
