=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 export DH_GOLANG_INSTALL_EXTRA := \
     command/connect/ca/set/test-fixtures \
+    build-support/scripts/proto-gen.sh \
     test
 
 export DH_GOLANG_EXCLUDES := test/integration
