=== debian/changelog ===
consul (1.7.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Disabled unreliable "TestAgent_ServiceHTTPChecksNotification".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 17 May 2020 21:41:36 +1000
