=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,12 @@
 ## needs "mockery":
 export DH_GOLANG_GO_GENERATE := 1
 
+#~export GOPROXY=off
+#~export GO111MODULE=off
+
 export DH_GOLANG_INSTALL_EXTRA := \
     command/connect/ca/set/test-fixtures \
+    build-support/scripts/functions.sh \
     build-support/scripts/proto-gen.sh \
     test
