## consul 1.7.4+dfsg1

=== debian/changelog ===
consul (1.7.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Excluded "command/debug" from testing (test runs too long on armhf).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Jun 2020 15:43:28 +1000
