=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: consul
 Section: devel
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Martín Ferrari <tincho@debian.org>,
@@ -92,7 +92,7 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
 Vcs-Git: https://salsa.debian.org/go-team/packages/consul.git
 XS-Go-Import-Path: github.com/hashicorp/consul
-Testsuite: autopkgtest-pkg-go
+#Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-hashicorp-consul-dev
 Architecture: all
