=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 export DH_GOLANG_INSTALL_EXTRA := \
     command/connect/ca/set/test-fixtures \
+    build-support/functions \
     build-support/scripts/functions.sh \
     build-support/scripts/proto-gen.sh \
     test
@@ -60,7 +61,7 @@
 ## Note that "--max-parallel=2" translates to "-p 2" which is not the same as "-parallel 2".
 override_dh_auto_test:
 	$(MINUS)PATH="$(CURDIR)/_build/bin:$${PATH}" \
-        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul agent/proxycfg command/tls" \
+        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul agent/proxycfg command/debug command/tls" \
         dh_auto_test -v --max-parallel=4 -- -short -failfast -timeout 8m
 
 override_dh_install:
