## consul 1.8.6+dfsg1

=== debian/changelog ===
consul (1.8.6+dfsg1-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * New upstream release.
  * Build-Depends:
    + golang-github-coreos-go-oidc-dev
    + golang-github-patrickmn-go-cache-dev
    + golang-golang-x-time-dev (>= 0.0+git20200630~)
    = golang-github-hashicorp-go-memdb-dev (>= 1.2.1~)
    = golang-github-hashicorp-memberlist-dev (>= 0.2.2~)
    = golang-github-hashicorp-serf-dev (>= 0.9.4~)
    = golang-github-mitchellh-cli-dev (>= 1.1.1~)
    = golang-github-mitchellh-go-testing-interface-dev (>= 1.14.1~)
    + procps
  * fixed hclog-related FTBFS (Closes: #964873).

  [ Arnaud Rebillout ]
  * New upstream release [1.8.6] (Closes: #975584).
  * Update patches
  * Add upstream git details, feed it to the build command

 -- Arnaud Rebillout <elboulangero@gmail.com>  Thu, 03 Dec 2020 14:22:00 +0700
