=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
     ,golang-github-bgentry-speakeasy-dev
     ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~)
     ,golang-github-circonus-labs-circonusllhist-dev
+    ,golang-github-coreos-go-oidc-dev
     ,golang-github-datadog-datadog-go-dev
     ,golang-github-davecgh-go-spew-dev
     ,golang-github-denverdino-aliyungo-dev
@@ -38,7 +39,7 @@
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 1.1.0~)
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
-    ,golang-github-hashicorp-go-memdb-dev (>= 0.0~git20180224~)
+    ,golang-github-hashicorp-go-memdb-dev (>= 1.2.1~)
     ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
     ,golang-github-hashicorp-go-multierror-dev
     ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
@@ -52,12 +53,12 @@
     ,golang-github-hashicorp-hcl-dev
     ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
     ,golang-github-hashicorp-logutils-dev
-    ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
+    ,golang-github-hashicorp-memberlist-dev (>= 0.2.2~)
     ,golang-github-hashicorp-net-rpc-msgpackrpc-dev
     ,golang-github-hashicorp-raft-boltdb-dev
     ,golang-github-hashicorp-raft-dev (>= 1.1.2~)
     ,golang-github-hashicorp-scada-client-dev
-    ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
+    ,golang-github-hashicorp-serf-dev (>= 0.9.4~)
     ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
     ,golang-github-inconshreveable-muxado-dev
     ,golang-github-imdario-mergo-dev
@@ -66,8 +67,8 @@
     ,golang-github-kr-text-dev
     ,golang-github-mattn-go-isatty-dev
     ,golang-github-miekg-dns-dev (>= 1.1.26~)
-    ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
-    ,golang-github-mitchellh-go-testing-interface-dev
+    ,golang-github-mitchellh-cli-dev (>= 1.1.1~)
+    ,golang-github-mitchellh-go-testing-interface-dev (>= 1.14.1~)
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
@@ -75,6 +76,7 @@
     ,golang-github-nytimes-gziphandler-dev
     ,golang-github-packethost-packngo-dev
     ,golang-github-pascaldekloe-goe-dev
+    ,golang-github-patrickmn-go-cache-dev
     ,golang-github-peterbourgon-diskv-dev
     ,golang-github-pierrec-lz4-dev
     ,golang-github-pmezard-go-difflib-dev
@@ -83,11 +85,13 @@
     ,golang-github-shirou-gopsutil-dev
     ,golang-github-spf13-pflag-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
+    ,golang-golang-x-time-dev (>= 0.0+git20200630~)
     ,golang-gopkg-inf.v0-dev
     ,golang-gopkg-square-go-jose.v2-dev
     ,mockery
 # tests:
     ,golang-github-sap-go-hdb-dev
+    ,procps
 Homepage: https://github.com/hashicorp/consul
 Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
 Vcs-Git: https://salsa.debian.org/go-team/packages/consul.git
@@ -113,11 +117,11 @@
     ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-raft-boltdb-dev
     ,golang-github-hashicorp-raft-dev (>= 1.1.2~)
-    ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
+    ,golang-github-hashicorp-serf-dev (>= 0.9.4~)
     ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
     ,golang-github-inconshreveable-muxado-dev
     ,golang-github-miekg-dns-dev (>= 1.1.26~)
-    ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
+    ,golang-github-mitchellh-cli-dev (>= 1.1.1~)
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-pascaldekloe-goe-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
