=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 ## needs "mockery":
 export DH_GOLANG_GO_GENERATE := 1
 
-#~export GOPROXY=off
-#~export GO111MODULE=off
+export GOPROXY=off
+export GO111MODULE=off
 
 export DH_GOLANG_INSTALL_EXTRA := \
     command/connect/ca/set/test-fixtures \
@@ -19,6 +21,15 @@
 
 ifneq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
     MINUS:=-
+endif
+
+GIT_COMMIT      := $(shell debian/upstream-git.sh commit $(DEB_VERSION_UPSTREAM))
+GIT_COMMIT_YEAR := $(shell debian/upstream-git.sh year   $(DEB_VERSION_UPSTREAM))
+ifndef GIT_COMMIT
+  $(error Missing GIT_COMMIT - see debian/upstream-git.sh)
+endif
+ifndef GIT_COMMIT_YEAR
+  $(error Missing GIT_COMMIT_YEAR - see debian/upstream-git.sh)
 endif
 
 %:
@@ -51,7 +62,7 @@
 #	dh_auto_build -v
 #	
 	export GOPATH=$(CURDIR)/_build \
-        && $(MAKE) -C _build/src/$(LIBSELF) --makefile=$(CURDIR)/GNUmakefile proto
+        && $(MAKE) GIT_COMMIT=$(GIT_COMMIT) GIT_COMMIT_YEAR=$(GIT_COMMIT_YEAR) -C _build/src/$(LIBSELF) --makefile=$(CURDIR)/GNUmakefile proto
 	
 	dh_auto_build -v
 
@@ -61,7 +72,7 @@
 ## Note that "--max-parallel=2" translates to "-p 2" which is not the same as "-parallel 2".
 override_dh_auto_test:
 	$(MINUS)PATH="$(CURDIR)/_build/bin:$${PATH}" \
-        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul agent/proxycfg command/debug command/tls" \
+        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul agent/proxycfg agent/routine-leak-checker command/debug command/tls command/flags command/monitor" \
         dh_auto_test -v --max-parallel=4 -- -short -failfast -timeout 8m
 
 override_dh_install:
