## consul 1.8.7%2Bdfsg1

=== debian/changelog ===
consul (1.8.7+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Lucas Kanashiro ]
  * Add upstream patch to fix FTBFS (Closes: #997133)

  [ Reinhard Tartler ]
  * Do install "github.com/hashicorp/consul/vendor" into dev package

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 09 Nov 2021 11:44:58 -0300

consul (1.8.7+dfsg1-2) unstable; urgency=medium

  * Add patch for CVE-2020-25864 (Closes: #987351)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 24 Apr 2021 12:06:56 +0200

consul (1.8.7+dfsg1-1) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * New upstream release [1.8.7].
  * Drop obsolete Build-Depends and Files-Excluded, per uscan
  * Rework Build-Depends and Files-Excluded
  * Drop a few more Build-Depends
  * Drop aws-sdk vendoring
  * Drop custom dh_configure target
  * Cleanup obsolete patches
  * Add lintian-overrides for consul (field-too-long Built-Using)
  * Tidy up debian/copyright a bit
  * Adjust sections, consul -> 'admin', -dev -> 'golang'
  * Drop obsolete Build-Depends requirements
  * Bump Standards-Version

  [ Dmitry Smirnov ]
  * Disabled unreliable "TestCacheRateLimit".

  [ Arnaud Rebillout ]
  * Fix patch regarding "TestCacheRateLimit"
  * Revert "Add upstream git details, feed it to the build command"
  * Set git commit and git commit year from debian pkg info

 -- Arnaud Rebillout <elboulangero@gmail.com>  Sun, 10 Jan 2021 22:37:17 +0700
