=== debian/control ===
--- 
+++ 
@@ -1,48 +1,44 @@
 Source: consul
-Section: devel
+Section: admin
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Martín Ferrari <tincho@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
 Build-Depends: debhelper-compat (= 12) ,bash-completion ,dh-golang (>= 1.42~) ,golang-any (>= 2:1.13~)
-    ,golang-github-asaskevich-govalidator-dev
     ,golang-github-armon-circbuf-dev
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
     ,golang-github-armon-go-radix-dev
+    ,golang-github-aws-aws-sdk-go-dev
     ,golang-github-azure-go-autorest-dev (>= 10.15.5~)
 #   ,golang-github-beorn7-perks-dev
     ,golang-github-bgentry-speakeasy-dev
+    ,golang-github-census-instrumentation-opencensus-proto-dev
     ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~)
     ,golang-github-circonus-labs-circonusllhist-dev
     ,golang-github-coreos-go-oidc-dev
     ,golang-github-datadog-datadog-go-dev
     ,golang-github-davecgh-go-spew-dev
     ,golang-github-denverdino-aliyungo-dev
-    ,golang-github-digitalocean-godo-dev
     ,golang-github-docker-go-connections-dev
-    ,golang-github-elazarl-go-bindata-assetfs-dev (>= 0.0~git20151224~)
-    ,golang-github-ghodss-yaml-dev
-    ,golang-github-gogo-googleapis-dev
+    ,golang-github-elazarl-go-bindata-assetfs-dev
     ,golang-github-gogo-protobuf-dev (>= 1.2.1~)
     ,golang-github-golang-snappy-dev
     ,golang-github-googleapis-gnostic-dev
     ,golang-github-google-gofuzz-dev
     ,golang-github-gophercloud-gophercloud-dev
-    ,golang-github-gregjones-httpcache-dev
     ,golang-github-hashicorp-go-bexpr-dev
     ,golang-github-hashicorp-go-checkpoint-dev
     ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
     ,golang-github-hashicorp-go-discover-dev
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 1.1.0~)
-    ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
+    ,golang-github-hashicorp-golang-lru-dev
     ,golang-github-hashicorp-go-memdb-dev (>= 1.2.1~)
     ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
     ,golang-github-hashicorp-go-multierror-dev
-    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-raftchunking-dev
     ,golang-github-hashicorp-go-retryablehttp-dev
     ,golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~)
@@ -52,17 +48,13 @@
     ,golang-github-hashicorp-go-version-dev
     ,golang-github-hashicorp-hcl-dev
     ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
-    ,golang-github-hashicorp-logutils-dev
     ,golang-github-hashicorp-memberlist-dev (>= 0.2.2~)
     ,golang-github-hashicorp-net-rpc-msgpackrpc-dev
     ,golang-github-hashicorp-raft-boltdb-dev
     ,golang-github-hashicorp-raft-dev (>= 1.1.2~)
-    ,golang-github-hashicorp-scada-client-dev
     ,golang-github-hashicorp-serf-dev (>= 0.9.4~)
-    ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
-    ,golang-github-inconshreveable-muxado-dev
+    ,golang-github-hashicorp-yamux-dev
     ,golang-github-imdario-mergo-dev
-    ,golang-github-jefferai-jsonx-dev
     ,golang-github-json-iterator-go-dev
     ,golang-github-kr-text-dev
     ,golang-github-mattn-go-isatty-dev
@@ -77,20 +69,19 @@
     ,golang-github-packethost-packngo-dev
     ,golang-github-pascaldekloe-goe-dev
     ,golang-github-patrickmn-go-cache-dev
-    ,golang-github-peterbourgon-diskv-dev
     ,golang-github-pierrec-lz4-dev
     ,golang-github-pmezard-go-difflib-dev
     ,golang-github-ryanuber-columnize-dev
     ,golang-github-ryanuber-go-glob-dev
     ,golang-github-shirou-gopsutil-dev
-    ,golang-github-spf13-pflag-dev
-    ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
+    ,golang-go.opencensus-dev
+    ,golang-golang-x-sys-dev
     ,golang-golang-x-time-dev (>= 0.0+git20200630~)
     ,golang-gopkg-inf.v0-dev
     ,golang-gopkg-square-go-jose.v2-dev
+    ,golang-k8s-sigs-yaml-dev
     ,mockery
 # tests:
-    ,golang-github-sap-go-hdb-dev
     ,procps
 Homepage: https://github.com/hashicorp/consul
 Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
@@ -99,6 +90,7 @@
 #Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-hashicorp-consul-dev
+Section: golang
 Architecture: all
 Depends: ${misc:Depends}
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
@@ -106,7 +98,7 @@
     ,golang-github-hashicorp-go-bexpr-dev
     ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
-    ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
+    ,golang-github-hashicorp-golang-lru-dev
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
     ,golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~)
@@ -114,17 +106,16 @@
     ,golang-github-hashicorp-hcl-dev
     ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
     ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
-    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-raft-boltdb-dev
     ,golang-github-hashicorp-raft-dev (>= 1.1.2~)
     ,golang-github-hashicorp-serf-dev (>= 0.9.4~)
-    ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
+    ,golang-github-hashicorp-yamux-dev
     ,golang-github-inconshreveable-muxado-dev
     ,golang-github-miekg-dns-dev (>= 1.1.26~)
     ,golang-github-mitchellh-cli-dev (>= 1.1.1~)
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-pascaldekloe-goe-dev
-    ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
+    ,golang-golang-x-sys-dev
 Description: tool for service discovery, monitoring and configuration (source)
  Consul is a tool for service discovery and configuration. Consul is
  distributed, highly available, and extremely scalable.
