=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/pkg-info.mk
 
 ## needs "mockery":
 export DH_GOLANG_GO_GENERATE := 1
@@ -23,15 +23,6 @@
     MINUS:=-
 endif
 
-GIT_COMMIT      := $(shell debian/upstream-git.sh commit $(DEB_VERSION_UPSTREAM))
-GIT_COMMIT_YEAR := $(shell debian/upstream-git.sh year   $(DEB_VERSION_UPSTREAM))
-ifndef GIT_COMMIT
-  $(error Missing GIT_COMMIT - see debian/upstream-git.sh)
-endif
-ifndef GIT_COMMIT_YEAR
-  $(error Missing GIT_COMMIT_YEAR - see debian/upstream-git.sh)
-endif
-
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build
 
@@ -43,15 +34,6 @@
 	-find vendor -type d -empty -delete -print
 	$(RM) -r test/integration
 
-override_dh_auto_configure:
-	dh_auto_configure
-	
-	mkdir -v -p _build/src/github.com/keybase/
-	ln -sv /usr/share/gocode/src/golang.org/x/crypto  _build/src/github.com/keybase/go-crypto
-	
-	mkdir -v -p _build/src/github.com/SermoDigital/
-	ln -sv /usr/share/gocode/src/gopkg.in/square/go-jose.v1  _build/src/github.com/SermoDigital/jose
-
 LIBSELF:=github.com/hashicorp/consul
 override_dh_auto_build:
 #	## https://salsa.debian.org/onlyjob/notes/wikis/golang
@@ -62,7 +44,9 @@
 #	dh_auto_build -v
 #	
 	export GOPATH=$(CURDIR)/_build \
-        && $(MAKE) GIT_COMMIT=$(GIT_COMMIT) GIT_COMMIT_YEAR=$(GIT_COMMIT_YEAR) -C _build/src/$(LIBSELF) --makefile=$(CURDIR)/GNUmakefile proto
+	       GIT_COMMIT=$(DEB_VERSION_UPSTREAM) \
+	       GIT_COMMIT_YEAR=$(shell date -u -d @$(SOURCE_DATE_EPOCH) +%Y) \
+        && $(MAKE) -C _build/src/$(LIBSELF) --makefile=$(CURDIR)/GNUmakefile proto
 	
 	dh_auto_build -v
